<div id="help-template" class="outer">
    <{include file=$smarty.const._MI_CSSHOLMES_HELP_HEADER}>

    <h4 class="odd">DESCRIPTION</h4> <br>

    <p class="even"><p>Holmes is stand-alone diagnostic CSS stylesheet that can highlight potentially invalid, inaccessible or erroneous HTML(5) markup by adding one class.</p>
    <p>holmes.css is useful for checking the quality of your code (up to W3C HTML5 standards), nitpicking over ensuring markup is valid and semantic and accessibility guidelines are met, and when you are tasked to fix up and debug an old, OLD website.
        It has a simple implementation and a mostly unobtrusive effect on your page. Not recommended for live environments.</p>
    <p>Remember too that these are just guidelines: if something is flagged but you can't change it for a good reason, don't worry about it :) Also use a validator if you want to be 100% sure.</p>
    <p>Inspired by <a class='tooltip' href='http://csswizardry.com/inuitcss/' title='Inuit Css' rel='external'>InuitCss</a>, <a class='tooltip' href='http://meyerweb.com/eric/tools/css/diagnostics/' title='Css diagnostics by Eric Meyer' rel='external'>Eric Meyer</a>, <a class='tooltip' href='http://www.nealgrosskopf.com/tech/thread.php?pid=17' title='NealGrossKopf thread' rel='external'>NealGrossKopf</a> and procrastination from coursework!</p><br> <br>
    </p>

    <h4 class="odd">INSTALL/UNINSTALL</h4>

    <p class="even">
        No special measures necessary, follow the standard installation process –
        extract the module folder into the ../modules directory. Install the
        module through Admin -> System Module -> Modules.<br> <br>
        Detailed instructions on installing modules are available in the
        <a href="https://xoops.gitbook.io/xoops-operations-guide/" target="_blank">Chapter 2.12 of our XOOPS Operations Manual</a></p>


    <h4 class="odd">OPERATING INSTRUCTIONS</h4><br>
    <p class="even">
        This module and its operations are very simple.<br> <br>
        Detailed instructions on configuring the access rights for user groups are available in the
        <a href="https://xoops.gitbook.io/xoops-operations-guide/" target="_blank">Chapter 2.8 of our XOOPS Operations Manual</a><br> <br></p>

    <h4 class="odd">TUTORIAL</h4> <br>

    <p class="even">
        Tutorial has been started, but we might need your help! Please check out the status of the tutorial <a href="https://xoops.gitbook.io/cssholmes-tutorial/" target="_blank">here </a>.
        <br><br>To contribute to this Tutorial, <a href="https://github.com/XoopsDocs/cssholmes-tutorial/" target="_blank">please fork it on GitHub</a>.
        <br> This document describes our <a href="https://xoops.gitbook.io/xoops-documentation-process/" target="_blank">Documentation Process</a> and it will help you to understand how to contribute.
        <br><br>
        There are more XOOPS Tutorials, so check them out in our <a href="https://www.gitbook.com/@xoops/" target="_blank">XOOPS Tutorial Repository on GitBook</a>.
    </p>


    <h4 class="odd">TRANSLATIONS</h4> <br>
    <p class="even">
        Translations are on <a href="https://www.transifex.com/xoops/" target="_blank">Transifex</a> and in our <a href="https://github.com/XoopsLanguages/" target="_blank">XOOPS Languages Repository on GitHub</a>.</p>

    <h4 class="odd">SUPPORT</h4> <br>
    <p class="even">
        If you have questions about this module and need help, you can visit our <a href="https://xoops.org/modules/newbb/viewforum.php?forum=28/" target="_blank">Support Forums on XOOPS Website</a></p>

    <h4 class="odd">DEVELOPMENT</h4> <br>
    <p class="even">
        This module is Open Source and we would love your help in making it better! You can fork this module on <a href="https://github.com/XoopsModules25x/cssholmes" target="_blank">GitHub</a><br><br>
        But there is more happening on GitHub:<br><br>
        - <a href="https://github.com/xoops" target="_blank">XOOPS Core</a> <br>
        - <a href="https://github.com/XoopsModules25x" target="_blank">XOOPS Modules</a><br>
        - <a href="https://github.com/XoopsThemes" target="_blank">XOOPS Themes</a><br><br>
        Go check it out, and <strong>GET INVOLVED</strong>

    </p>

</div>
